Rated 5 out of 5 stars

Works with 3.5.9
Workaround1 for 3.6* is to use the 3.5.9 profile, then "make compatible" with Mr Tech Toolkit)
Workaround2 for 3.6* is to use the 3.5.9 profile, then "bump version to 3.6*" open the xpi (with a zip manager), alter the "max version" line in the file "intall.rdf" (with a text editor), then save changes, restart firefox.

This review is for a previous version of the add-on (0.82).